/* Code for COMP 102 test 2008
 * Name:
 * Usercode:
 * ID:
 */

import java.util.*;
import comp100.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;
import java.awt.Color;
import java.io.*;


/** 
    
 */
public class Debug{
  // Fields


  // Constructors
  /** Construct a new Debug object
   */
  public Debug(){
		
  }



  // project:  argument = number of field.
  //    read through file, printing just the values in the nth column on one line,
  //    separated by commas.
  //    

  public void project(int n, String fname){
    try {
      Scanner scan = new Scanner(new File(fname));
      while (scan.hasNext()) {
	int col = 1;
	while (col <= n){
	  String junk = scan.next();
	  col = col+1;
	}
	String word = scan.next();
	System.out.println(word+",");
      }
      scan.close();
    }
    catch(Exception e){System.out.println("Error opening file: "+e);}
  }

  public void projectCorrect1(int n, String fname){
    try {
      Scanner scan = new Scanner(new File(fname));
      while (scan.hasNext()) {
	int col = 1;
	while (col < n){
	  String junk = scan.next();
	  col = col+1;
	}
	String word = scan.next();
	String rest = scan.nextLine();
	System.out.print(word);
	if (scan.hasNext()) System.out.print(",");
      }
      System.out.println();
      scan.close();
    }
    catch(Exception e){System.out.println("Error while scanning"+e);}
  }

  public void projectCorrect2(int n, String fname){
    try {
      Scanner scan = new Scanner(new File(fname));
      String word = null;
      while (scan.hasNext()){
	if (word!=null){ System.out.print(","); }
	int col = 0;
	while (col < n){
	  word = scan.next();
	  col++;
	}
	String rest = scan.nextLine();
	System.out.print(word);
      }
      System.out.println();
      scan.close();
    }
    catch(Exception e){System.out.println("Error while scanning"+e);}
  }

  public void projectCorrect3(int n, String fname){
    try {
      Scanner scan = new Scanner(new File(fname));
      while (scan.hasNext()) {
	Scanner lineSc = new Scanner(scan.nextLine());
	String word = lineSc.next();
	int col = 2;
	while (col <= n){
	  word = lineSc.next();
	  col++;
	}
	System.out.print(word);
	if (scan.hasNext()){ System.out.print(","); }
      }
      System.out.println();
      scan.close();
    }
    catch(Exception e){System.out.println("Error while scanning"+e);}
  }


  // Main
  public static void main(String[] arguments){
     Debug d = new Debug();
     for (int col=0; col<6; col++){
       System.out.printf("----------------------\nproject(%d)\n", col);
       d.project(col, "debug-text.txt");
       System.out.printf("----------------------\nprojectCorrect1(%d)\n", col);
       d.projectCorrect1(col, "debug-text.txt");
       System.out.printf("----------------------\nprojectCorrect2(%d)\n", col);
       d.projectCorrect2(col, "debug-text.txt");
       System.out.printf("----------------------\nprojectCorrect3(%d)\n", col);
       d.projectCorrect3(col, "debug-text.txt");
       System.out.printf("=============================\n");
     }
  }	

  /*
a b c d e
f g h i j 
k l m n o 
p q r s t 
u v w x y
  */
}
