/* Code for Assignment ?? 
 * Name:
 * Usercode:
 * ID:
 */

import comp100.*;
import java.util.*;
import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;
import java.awt.Color;


/** <description of class DrawSquares>
 */
public class DrawSquares implements ActionListener{
  // Fields
  private final JFrame frame = new JFrame("DrawSquares");
  private final DrawingCanvas canvas = new DrawingCanvas();

  public DrawSquares(){
    this.frame.setSize(600, 400);
    this.frame.getContentPane().add(this.canvas, BorderLayout.CENTER);
    JPanel buttonPanel = new JPanel();
    this.frame.getContentPane().add(buttonPanel, BorderLayout.NORTH);
    addButton(buttonPanel, "drawit");
    addButton(buttonPanel, "inside");
    addButton(buttonPanel, "right");
    addButton(buttonPanel, "Quit");
    this.frame.setVisible(true);
  }

  private JButton addButton(JPanel panel, String name){
    JButton button = new JButton(name);
    button.addActionListener(this);
    panel.add(button);
    return button;
  }

  /** Respond to button presses */
  public void actionPerformed(ActionEvent e){
    String cmd = e.getActionCommand();
    this.canvas.clear();
    if (cmd.equals("drawit") )
      this.drawit(canvas);
    if (cmd.equals("inside") )
      this.drawSquares(100, 12, "inside", canvas);
    if (cmd.equals("right") )
      this.drawSquares(100, 20, "right", canvas);
    else if (cmd.equals("Quit") ){
      this.frame.dispose();
    }
  }


  public void drawit(DrawingCanvas canvas){
    int a = 20;
    int b = 20;
    int c = 100;
    canvas.setColor(Color.red);
    canvas.drawRect(a, b, c, c);

    canvas.setColor(Color.black);
    int x = 0;
    while (x < c){
      canvas.drawLine(a+x, b, a+c-x, b+c);
      x = x + 20;
    }
  }




  public void drawSquares(int size, int diff, String how, DrawingCanvas canvas){
    int x = 20;
    int y = 20;
    while(size > 0){
      canvas.drawRect(x, y, size, size);
      if ( how.equals("right") ){
	x = x + size;
      }
      size = size - diff;
    }
  }

  // Main
  public static void main(String[] arguments){
    new DrawSquares();
  }   


}
